/*
SCRIPT DE CREACIN DE TABLAS 
En el caso de que una tabla no exista se crea y si no existiera se obvia la ejecucin de creacin
de tablas
*/

IF NOT EXISTS (SELECT 
					1 
			   FROM INFORMATION_SCHEMA.TABLES 
			   WHERE TABLE_TYPE='BASE TABLE' 
			   AND TABLE_NAME='ds_ventas_excel') 
	CREATE TABLE ds_ventas_excel(
		[Ao] [float] NULL,
		[Mes] [float] NULL,
		[Establecimiento] [nvarchar](255) NULL,
		[Direccin] [nvarchar](255) NULL,
		[latitud] [float] NULL,
		[longitud] [float] NULL,
		[ZAPATILLAS] [nvarchar](255) NULL,
		[PANTALONES] [float] NULL,
		[GORRAS] [float] NULL,
		[CARTERAS] [float] NULL,
		[BOLLICAOS] [float] NULL,
		[BOTIFARRAS] [float] NULL,
		[FUET] [float] NULL
	);


IF NOT EXISTS (SELECT 
					1 
			   FROM INFORMATION_SCHEMA.TABLES 
			   WHERE TABLE_TYPE='BASE TABLE' 
			   AND TABLE_NAME='dw_dim_establecimiento') 
	CREATE TABLE [dbo].[dw_dim_establecimiento](
		[id_establecimiento] [int] NOT NULL primary key,
		[establecimiento] [nvarchar](255) NULL,
		[direccion] [nvarchar](255) NULL,
		[latitud] [float] NULL,
		[longitud] [float] NULL,
		[descri] [varchar](255) NULL,
		[fecha_registro] [datetime] NULL,
		[fecha_modificacion] [datetime] NULL
	);


IF NOT EXISTS (SELECT 
					1 
			   FROM INFORMATION_SCHEMA.TABLES 
			   WHERE TABLE_TYPE='BASE TABLE' 
			   AND TABLE_NAME='dw_dim_fecha') 
	CREATE TABLE dw_dim_fecha(
		[id_fecha] [int] NOT NULL primary key,
		[fecha] [date] NULL,
		[ano] [int] NULL,
		[trimestre] [char](2) NULL,
		[ano_trimestre] [varchar](10) NULL,
		[mes] [varchar](2) NULL,
		[ano_mes] [varchar](10) NULL,
		[dia] [varchar](2) NULL,
		[dia_semana_number] [int] NULL,
		[dia_semana_desc] [varchar](20) NULL
	);


IF NOT EXISTS (SELECT 
					1 
			   FROM INFORMATION_SCHEMA.TABLES 
			   WHERE TABLE_TYPE='BASE TABLE' 
			   AND TABLE_NAME='dw_dim_producto') 
	CREATE TABLE [dbo].[dw_dim_producto](
		[producto] [nvarchar](255) NULL,
		[id_producto] [int] primary key
	);


IF NOT EXISTS (SELECT 
				1 
			FROM INFORMATION_SCHEMA.TABLES 
			WHERE TABLE_TYPE='BASE TABLE' 
			AND TABLE_NAME='dw_fact_ventas_1') 
	CREATE TABLE dw_fact_ventas_1(
		[id_time] [varchar](11) NULL,
		[id_establecimiento] [int] NULL,
		[id_producto] [int] NULL,
		[valor] [int] NULL
	);

IF NOT EXISTS (SELECT 
				1 
			FROM INFORMATION_SCHEMA.TABLES 
			WHERE TABLE_TYPE='BASE TABLE' 
			AND TABLE_NAME='dw_fact_ventas_2')
	CREATE TABLE dw_fact_ventas_2(
		[id_establecimiento] [int] NULL,
		[id_time] [varchar](11) NULL,
		[venta] [int] NULL,
		[id_producto] [int] NULL
	);





